Page MenuHomePhabricator

image/vnd.microsoft.icon not recognized as MIME type for .ico (can trigger error message when trying to overwrite existing icons)
Closed, ResolvedPublic

Description

Author: haleyjd

Description:
The IANA standard image/vnd.microsoft.icon MIME type is not configured to correspond to the .ico file extension in includes/mime.types, which instead associates it with the Microsoft-preferred but non-standard image/x-icon.

This causes attempts to overwrite already existing icons on our wiki, which were previously allowed to uploaded by MediaWiki 1.16.2, to fail with the error message "File extension '.ico' does not match the detected MIME type 'image/vnd.microsoft.icon'.

A quick Google search shows many other users are affected, including the ShoutWiki farm.


Version: 1.23.2
Severity: normal

Details

Reference
bz69437

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:41 AM
bzimport set Reference to bz69437.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Aug 12 2014, 3:39 PM

Created attachment 16442
This patches the issue for uploading .ico files in Mediawiki 1.23.x.

This patches the issue for uploading .ico files in Mediawiki 1.23.x.

Attached:

Hi! Thanks for your patch!

You are welcome to use Developer access

https://www.mediawiki.org/wiki/Developer_access

to submit this as a Git branch directly into Gerrit:

https://www.mediawiki.org/wiki/Git/Tutorial

Putting your branch in Git makes it easier to review it quickly. If you don't want to set up Git/Gerrit, you can also use https://tools.wmflabs.org/gerrit-patch-uploader/
Thanks again! We appreciate your contribution.

Thank you! For future reference, adding "Bug: 69437" as the last line in the commit message (see https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines ) creates an automatic notification here. :)

Change 159824 had a related patch set uploaded by Brian Wolff:
Make image/vnd.microsoft.icon be an alias for image/x-icon mime type.

https://gerrit.wikimedia.org/r/159824

(In reply to Gerrit Notification Bot from comment #5)

Change 159824 had a related patch set uploaded by Brian Wolff:
Make image/vnd.microsoft.icon be an alias for image/x-icon mime type.
https://gerrit.wikimedia.org/r/159824

Note, gerrit notification bot has a bug where it reports the wrong user when people change the commit message. I'm not trying to steal credit :)


Patch is merged. Will appear in next major version of mediawiki. Thanks.

Change 159824 merged by jenkins-bot:
Make image/vnd.microsoft.icon be an alias for image/x-icon mime type.

https://gerrit.wikimedia.org/r/159824

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:30 AM